<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.10.0"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>MeLOn: Class Members</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<script type="text/javascript" src="clipboard.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript" src="cookie.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="MeLOn_only.png"/></td>
  <td id="projectalign">
   <div id="projectname">MeLOn
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.10.0 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function(){initNavTree('functions_s.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="contents">
<div class="textblock">Here is a list of all class members with links to the classes they belong to:</div>

<h3><a id="index_s" name="index_s"></a>- s -</h3><ul>
<li>SaveFile()&#160;:&#160;<a class="el" href="classtinyxml2_1_1_x_m_l_document.html#a73ac416b4a2aa0952e841220eb3da18f">tinyxml2::XMLDocument</a></li>
<li>scale()&#160;:&#160;<a class="el" href="classmelon_1_1_identity_scaler.html#a94216e6334e78f99af99aa493ebd3a0c">melon::IdentityScaler&lt; T &gt;</a>, <a class="el" href="classmelon_1_1_min_max_scaler.html#a82a108230095d1cbdfbb90e221d51cf4">melon::MinMaxScaler&lt; T &gt;</a>, <a class="el" href="classmelon_1_1_scaler.html#ac098737ac814b791fa4f82dc5278468b">melon::Scaler&lt; T &gt;</a>, <a class="el" href="classmelon_1_1_standard_scaler.html#adbd404ec388534902787f3018e2becfd">melon::StandardScaler&lt; T &gt;</a></li>
<li>scaledInput&#160;:&#160;<a class="el" href="structmelon_1_1_ann_structure.html#aa74231a71fc4e0d1380b441ece0b527c">melon::AnnStructure</a></li>
<li>ScalerData()&#160;:&#160;<a class="el" href="structmelon_1_1_scaler_data.html#a37dc498fe4c7d97963aaf3f05eecbd01">melon::ScalerData</a></li>
<li>SealElementIfJustOpened()&#160;:&#160;<a class="el" href="classtinyxml2_1_1_x_m_l_printer.html#ac6e2c72c5d796f5b4de6ce81ca95e3fa">tinyxml2::XMLPrinter</a></li>
<li>Set()&#160;:&#160;<a class="el" href="classtinyxml2_1_1_str_pair.html#a4f05549373394266a1eecba26813c166">tinyxml2::StrPair</a></li>
<li>set_tanh_formulation()&#160;:&#160;<a class="el" href="classmelon_1_1_feed_forward_net.html#a577ee52dca91fe4d987484afa8bf33a8">melon::FeedForwardNet&lt; T &gt;</a></li>
<li>SetAttribute()&#160;:&#160;<a class="el" href="classtinyxml2_1_1_x_m_l_attribute.html#a406d2c4a13c7af99a65edb59dd9f7581">tinyxml2::XMLAttribute</a>, <a class="el" href="classtinyxml2_1_1_x_m_l_element.html#a11943abf2d0831548c3790dd5d9f119c">tinyxml2::XMLElement</a></li>
<li>SetBOM()&#160;:&#160;<a class="el" href="classtinyxml2_1_1_x_m_l_document.html#a14419b698f7c4b140df4e80f3f0c93b0">tinyxml2::XMLDocument</a></li>
<li>SetBoolSerialization()&#160;:&#160;<a class="el" href="classtinyxml2_1_1_x_m_l_util.html#af98a6a80dbeec4679366c1aba4c5b747">tinyxml2::XMLUtil</a></li>
<li>SetCData()&#160;:&#160;<a class="el" href="classtinyxml2_1_1_x_m_l_text.html#ad080357d76ab7cc59d7651249949329d">tinyxml2::XMLText</a></li>
<li>SetError()&#160;:&#160;<a class="el" href="classtinyxml2_1_1_x_m_l_document.html#abffeba53b165f55f385ea7063a93bc95">tinyxml2::XMLDocument</a></li>
<li>SetInternedStr()&#160;:&#160;<a class="el" href="classtinyxml2_1_1_str_pair.html#a2baf6230e18333e02ab65d0897ee3941">tinyxml2::StrPair</a></li>
<li>SetName()&#160;:&#160;<a class="el" href="classtinyxml2_1_1_x_m_l_attribute.html#a469c2363600007f49e62a8048a362d57">tinyxml2::XMLAttribute</a>, <a class="el" href="classtinyxml2_1_1_x_m_l_element.html#a97712009a530d8cb8a63bf705f02b4f1">tinyxml2::XMLElement</a></li>
<li>SetStr()&#160;:&#160;<a class="el" href="classtinyxml2_1_1_str_pair.html#a1f82ec6b5bee35ee7466d8565e43b1de">tinyxml2::StrPair</a></li>
<li>SetText()&#160;:&#160;<a class="el" href="classtinyxml2_1_1_x_m_l_element.html#a1f9c2cd61b72af5ae708d37b7ad283ce">tinyxml2::XMLElement</a></li>
<li>SetTracked()&#160;:&#160;<a class="el" href="classtinyxml2_1_1_mem_pool.html#ac5804dd1387b2e4de5eef710076a0db1">tinyxml2::MemPool</a>, <a class="el" href="classtinyxml2_1_1_mem_pool_t.html#aee3c611215ae08cce41a940bf2763027">tinyxml2::MemPoolT&lt; ITEM_SIZE &gt;</a></li>
<li>SetUserData()&#160;:&#160;<a class="el" href="classtinyxml2_1_1_x_m_l_node.html#a002978fc889cc011d143185f2377eca2">tinyxml2::XMLNode</a></li>
<li>SetValue()&#160;:&#160;<a class="el" href="classtinyxml2_1_1_x_m_l_node.html#a09dd68cf9eae137579f6e50f36487513">tinyxml2::XMLNode</a></li>
<li>sf2&#160;:&#160;<a class="el" href="structmelon_1_1kernel_1_1_kernel_data.html#a17fc12e78f39a1e93d89f241083ebab1">melon::kernel::KernelData</a></li>
<li>ShallowClone()&#160;:&#160;<a class="el" href="classtinyxml2_1_1_x_m_l_comment.html#adf5b5c0319351dcc339df098d11e8fb2">tinyxml2::XMLComment</a>, <a class="el" href="classtinyxml2_1_1_x_m_l_declaration.html#ad9d60e6d2df75c13eb6bf7319985b747">tinyxml2::XMLDeclaration</a>, <a class="el" href="classtinyxml2_1_1_x_m_l_document.html#af4f866a4dace2120ec8cdf6f5ff79f61">tinyxml2::XMLDocument</a>, <a class="el" href="classtinyxml2_1_1_x_m_l_element.html#aafa2807a45b28fe096b29d76e6a13b7c">tinyxml2::XMLElement</a>, <a class="el" href="classtinyxml2_1_1_x_m_l_node.html#a9046880c05b81ad99ee645f4b2a53ecd">tinyxml2::XMLNode</a>, <a class="el" href="classtinyxml2_1_1_x_m_l_text.html#a86d265c93152726c8c6831e9594840e6">tinyxml2::XMLText</a>, <a class="el" href="classtinyxml2_1_1_x_m_l_unknown.html#ab73b48b819aa4b2ef3815dc2d7d20d5f">tinyxml2::XMLUnknown</a></li>
<li>ShallowEqual()&#160;:&#160;<a class="el" href="classtinyxml2_1_1_x_m_l_comment.html#a965d880a99d58dd915caa88dc37a9b51">tinyxml2::XMLComment</a>, <a class="el" href="classtinyxml2_1_1_x_m_l_declaration.html#ae8b4d3a399857029f36c322b0801b69c">tinyxml2::XMLDeclaration</a>, <a class="el" href="classtinyxml2_1_1_x_m_l_document.html#a6fe5ef18699091844fcf64b56ffa5bf9">tinyxml2::XMLDocument</a>, <a class="el" href="classtinyxml2_1_1_x_m_l_element.html#a61ffd7bf918a9db4aa6203d855ac5ec2">tinyxml2::XMLElement</a>, <a class="el" href="classtinyxml2_1_1_x_m_l_node.html#a7ce18b751c3ea09eac292dca264f9226">tinyxml2::XMLNode</a>, <a class="el" href="classtinyxml2_1_1_x_m_l_text.html#a99d8bce4dc01df889126e047f358cdfc">tinyxml2::XMLText</a>, <a class="el" href="classtinyxml2_1_1_x_m_l_unknown.html#ac46767cd721d666e690a6231dfb618d1">tinyxml2::XMLUnknown</a></li>
<li>Size()&#160;:&#160;<a class="el" href="classtinyxml2_1_1_dyn_array.html#a67614d80847eb92cab330f1a5849a9a2">tinyxml2::DynArray&lt; T, INITIAL_SIZE &gt;</a></li>
<li>SkipWhiteSpace()&#160;:&#160;<a class="el" href="classtinyxml2_1_1_x_m_l_util.html#ac9946290e942fbf226a6520bb6a4988f">tinyxml2::XMLUtil</a></li>
<li>StandardScaler()&#160;:&#160;<a class="el" href="classmelon_1_1_standard_scaler.html#aa24965025a22213f80a98392b21f2f7c">melon::StandardScaler&lt; T &gt;</a></li>
<li>stdOfOutput&#160;:&#160;<a class="el" href="structmelon_1_1_g_p_data.html#a545f45a74992594c1abab224da943152">melon::GPData</a></li>
<li>string_to_kernel_function()&#160;:&#160;<a class="el" href="classmelon_1_1_svm_parser.html#ad08d80e25cc6047a1905e06c9769d36d">melon::SvmParser</a></li>
<li>StringEqual()&#160;:&#160;<a class="el" href="classtinyxml2_1_1_x_m_l_util.html#acfcd287cacfd2533e1bc9ea4dfb56602">tinyxml2::XMLUtil</a></li>
<li>StrPair()&#160;:&#160;<a class="el" href="classtinyxml2_1_1_str_pair.html#a69153963f7052de9f767d3d8c1623a70">tinyxml2::StrPair</a></li>
<li>structure&#160;:&#160;<a class="el" href="structmelon_1_1_ann_data.html#a4853bc5a22fda4f8e831cc31a1b5a45e">melon::AnnData</a></li>
<li>SupportVectorMachine()&#160;:&#160;<a class="el" href="classmelon_1_1_support_vector_machine.html#a1cf7bc508b3f3eb3e6aa2b43578ab867">melon::SupportVectorMachine&lt; T &gt;</a></li>
<li>supportVectors&#160;:&#160;<a class="el" href="structmelon_1_1_svm_data.html#a8701eee707298b7fe840bea845e8912e">melon::SvmData</a></li>
<li>SwapRemove()&#160;:&#160;<a class="el" href="classtinyxml2_1_1_dyn_array.html#aa72c644f8b5e9ec5dab5b66c88f5665f">tinyxml2::DynArray&lt; T, INITIAL_SIZE &gt;</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.10.0 </li>
  </ul>
</div>
</body>
</html>
